# 十大git仓库平台保存文件与图片

## 一 介绍

Git(读音为/gɪt/。)是一个开源的分布式版本控制系统，可以有效、高速地处理从很小到非常大的项目版本管理。

仓库（repository）可以理解成一个目录，这个目录里面的所有文件都可以被git管理起来，每个文件的修改删除git都能进行跟踪。



## 二 平台

十大git平台分别是：gitee、github、gitlab、gitcode、coding，bitbucket、sourgeforge、codeberg、gitea、agit 。 <br/>
前三个是非常知名的Git仓库，基本上程序员都了解或者使用过。后面几个有点冷僻，是本人在2020-2022练习书法，保存资料时查找的比较靠谱好用的Git仓库。 <br/>

下面是本人书法练习轨迹的十大git仓库地址：

| 序号 | 仓库                                                			      |  备注             			                 |
| ---  | -------------------------------------------------------------        |  -----------------------------------         |
| 1    | [**gitlab**]( https://gitlab.com/xuyq123/calligraphy ) &ensp; [imgs]( https://gitlab.com/xuyq123/imgs )                 		|  全球第二大开源平台GitLab。                         |
| 2    | [coding]( https://xyqin.coding.net/public/my/calligraphy/git ) &ensp; [imgs]( https://xyqin.coding.net/public/my/imgs/git ) &ensp; [document]( https://xyqin.coding.net/public/my/document/git )	|  腾讯产品，代码托管、项目协同。                            		     |
| 3    | [github]( https://github.com/scott180/calligraphy ) &ensp; [imgs]( https://github.com/scott180/imgs ) 			  			    |  世界第一git平台。但有时有防火墙打不开。            |
| 4    | [bitbucket]( https://bitbucket.org/xu12345/calligraphy ) &ensp; [imgs]( https://bitbucket.org/xu12345/imgs )                   |  比特桶，代码托管，项目协作。markdown渲染不太完善。 |
| 5    | [gitee]( https://gitee.com/xy180/calligraphy ) &ensp; [imgs]( https://gitee.com/xy180/imgs )                        			|  国产网站，速度快。但可能会被[屏蔽]。               |
| 6    | [sourceforge]( https://sourceforge.net/p/calligraphy/code ) &ensp; [imgs]( https://sourceforge.net/p/calligraphy/imgs )  		|  开源软件管理的集中式场所，可保存公开资料。         |
| 7    | [gitcode]( https://gitcode.net/xu180/calligraphy ) &ensp; [imgs]( https://gitcode.net/xu180/imgs ) &ensp; [document]( https://gitcode.net/xu180/document )                           |  csdn托管平台。网速快，但偶尔会被封禁。        |
| 8    | [codeberg]( https://codeberg.org/xuyq/calligraphy ) &ensp; [imgs]( https://codeberg.org/xuyq/imgs )                            |  科德伯格，德国产品，口号是“立足欧盟，服务世界”。   |
| 9    | [gitea]( https://gitea.com/xuyq/calligraphy ) &ensp; [document]( https://gitea.com/xuyq/document )                             |  盖特一杯茶。缘分一道桥。                           |
| 10   | [agit]( https://agit.ai/xuyq/calligraphy ) &ensp; [document]( https://agit.ai/xuyq/document )                                  |  一个git，阿吉特ai。                                |



## 三 应用


git仓库不仅可以保存文件图片，而且可以生成**静态网页**作为个人博客网站。也能作为网站图床，生成**图片链接**。



> git平台 &ensp; 官网 &ensp; 项目地址 &ensp; 静态网页 &ensp; docsify网页 &ensp; mkdocs网页 &ensp; HTTPS &ensp; SSH &ensp; 图片地址  

| 序号 | 官网 | 项目地址 | 静态网页 | docsify网页 | mkdocs网页 | HTTPS | SSH | 图片地址 |
| ---  | ---- | -------- | -------- | ----------- | ---------- | ----- | --- | -------- |
| 1    | [gitlab]( https://gitlab.com/explore/projects/trending ) | [calligraphy]( https://gitlab.com/xuyq123/calligraphy ) | [书法练习轨迹]( https://xuyq123.gitlab.io/plain/%E4%B9%A6%E6%B3%95%E7%BB%83%E4%B9%A0%E8%BD%A8%E8%BF%B9--%E6%98%8E%E6%9C%88%E5%87%A0%E6%97%B6%E6%9C%89.html ) | [plain-docsify]( https://xuyq123.gitlab.io/plain-docsify/ ) &ensp; [myblog-docsify]( https://xuyq123.gitlab.io/myblog-docsify/ ) | [plain-pip-mkdocs]( https://xuyq123.gitlab.io/plain-pip-mkdocs ) | `https://gitlab.com/xuyq123/calligraphy.git` | `git@gitlab.com:xuyq123/calligraphy.git` | [2021050202.jpg]( https://gitlab.com/xuyq123/imgs/-/raw/master/mingyue/2021/202105/2021050202.jpg ) |
| 2    | [csdn_code]( https://codechina.csdn.net/xu180 ) | [calligraphy]( https://codechina.csdn.net/xu180/calligraphy ) | - | - |  - | `https://codechina.csdn.net/xu180/calligraphy.git` | `git@codechina.csdn.net:xu180/calligraphy.git` | [2021042504.jpg]( https://codechina.csdn.net/xu180/imgs/-/raw/master/mingyue/2021/202104/2021042504.jpg ) |
| 3    | [coding]( https://e.coding.net/login ) | [calligraphy]( https://xyqin.coding.net/p/my/d/calligraphy/git ) | [public]( https://xyqin.coding.net/public/my/calligraphy/git/files ) | - | - |  `https://e.coding.net/xyqin/my/calligraphy.git` | `git@e.coding.net:xyqin/my/calligraphy.git` | [2021042601.jpg]( https://xyqin.coding.net/p/my/d/imgs/git/raw/master/mingyue/2021/202105/2021042601.jpg ) |
| 4    | [bitbucket]( https://bitbucket.org/product/ ) | [calligraphy]( https://bitbucket.org/xu12345/calligraphy ) | - | - | - |  `https://bitbucket.org/xu12345/calligraphy.git` | `git@bitbucket.org:xu12345/calligraphy.git` | [2021072402.jpg]( https://bitbucket.org/xu12345/imgs/raw/fac05f5cff30d534a7cf92a9b304b4d7f2df083b/mingyue/2021/202107/2021072402.jpg ) |
| 5    | [github]( https://github.com/scott180 ) | [calligraphy]( https://github.com/scott180/calligraphy ) | [书法练习轨迹]( https://scott180.github.io/calligraphy/%E4%B9%A6%E6%B3%95%E7%BB%83%E4%B9%A0%E8%BD%A8%E8%BF%B9--%E6%98%8E%E6%9C%88%E5%87%A0%E6%97%B6%E6%9C%89 ) | [plain-docsify]( https://scott180.github.io/plain-docsify/ ) &ensp; [docsify-blog]( https://scott180.github.io/docsify-blog/ ) | [plain-mkdocs]( https://scott180.github.io/plain-mkdocs/ ) | `https://github.com/scott180/calligraphy.git` | `git@github.com:scott180/calligraphy.git` | [2021042501.jpg]( https://raw.githubusercontent.com/scott180/imgs/master/mingyue/2021/202104/2021042501.jpg ) |
| 6    | [gitee]( https://gitee.com/xy180 ) | [calligraphy]( https://gitee.com/xy180/calligraphy ) | [书法练习轨迹]( http://xy180.gitee.io/plain-mkdocs/calligraphy/%E4%B9%A6%E6%B3%95%E7%BB%83%E4%B9%A0%E8%BD%A8%E8%BF%B9--%E6%98%8E%E6%9C%88%E5%87%A0%E6%97%B6%E6%9C%89.html ) |  - | [plain-mkdocs]( http://xy180.gitee.io/plain-mkdocs/1/site ) | `https://gitee.com/xy180/calligraphy.git` | `git@gitee.com:xy180/calligraphy.git` | [2021040202.jpg]( https://gitee.com/xy180/imgs/raw/master/mingyue/2021/202104/2021040202.jpg ) |
| 7    | [sourceforge]( https://sourceforge.net/ ) | [calligraphy]( https://sourceforge.net/p/calligraphy/code ) | - | - | - |  `https://scott123@git.code.sf.net/p/calligraphy/code calligraphy-code` | `ssh://scott123@git.code.sf.net/p/calligraphy/code calligraphy-code` | [2022012001.jpg]( https://sourceforge.net/p/calligraphy/imgs/ci/master/tree/mingyue/2022/202201/2022012001.jpg?format=raw ) |
| 8    | [codeberg]( https://codeberg.org ) | [calligraphy]( https://codeberg.org/xuyq/calligraphy ) | - | - | - |  `https://codeberg.org/xuyq/calligraphy.git` | `git@codeberg.org:xuyq/calligraphy.git` | [2022012101.jpg]( https://codeberg.org/xuyq/imgs/raw/branch/master/mingyue/2022/202201/2022012101.jpg ) |
| 9    | [gitea]( https://gitea.com ) | [calligraphy]( https://gitea.com/xuyq/calligraphy ) | - | - | - |  `https://gitea.com/xuyq/calligraphy.git` | `git@gitea.com:xuyq/calligraphy.git` | [caotangshizhi1.jpg]( https://gitea.com/xuyq/document/raw/branch/master/imgs/shufa/caotangshizhi/1.jpg ) |
| 10   | [agit]( https://agit.ai ) | [calligraphy]( https://agit.ai/xuyq/calligraphy ) | - | - | - |  `https://agit.ai/xuyq/calligraphy.git` | `git@agit.ai:xuyq/calligraphy.git` | [xinjing.jpg]( https://agit.ai/xuyq/document/raw/branch/master/imgs/shufa/xinjing/cheng.jpg ) |



```c
书法练习轨迹各git仓库图片地址

github  cdn  国外网站，加载慢
https://raw.githubusercontent.com/scott180/imgs/master/mingyue/2021/202104/2021042501.jpg
https://cdn.jsdelivr.net/gh/scott180/imgs/mingyue/2021/202105/2021050202.jpg

npm   cdn    国外网站，加载慢
https://cdn.jsdelivr.net/npm/xushufa-imgs/imgs/mingyue/2021/202112/2021120801.jpg
https://cdn.jsdelivr.net/npm/xushufa-imgs2/imgs/mingyue/2022/202205/2022050801.jpg

sourceforge  国外网站，不是网页链接而是下载链接
https://sourceforge.net/p/calligraphy/imgs/ci/master/tree/mingyue/2022/202201/2022012001.jpg?format=raw

gitlab  国外网站，加载慢
https://gitlab.com/xuyq123/imgs/-/raw/master/mingyue/2021/202105/2021050202.jpg



codeberg 速度较快
https://codeberg.org/xuyq/imgs/raw/branch/master/mingyue/2022/202201/2022012101.jpg

gitcode  加载快，无屏蔽
https://gitcode.net/xu180/imgs/-/raw/master/mingyue/2021/202104/2021042504.jpg
https://codechina.csdn.net/xu180/imgs/-/raw/master/mingyue/2022/202204/2022040801.jpg
https://gitcode.net/xu180/document/-/raw/master/imgs/weixin/calligraphy-wxMiniProgram.jpg

gitee   加载快，有屏蔽
https://gitee.com/xy180/imgs/raw/master/mingyue/2021/202104/2021040202.jpg

bitbucket 国外网站
https://bitbucket.org/xu12345/imgs/raw/fac05f5cff30d534a7cf92a9b304b4d7f2df083b/mingyue/2021/202107/2021072402.jpg
https://bitbucket.org/xu12345/document/raw/114a5f5c292cc412cd46304dc1d20cfda7c7a7f8/imgs/pagefile/1.jpg

	
```



## 四 我的


| 序号  | 平台    | 地址        |  备注          |
| ----- | -----   | ----------- |  ------------- |
| 1     | gitlab  | [MyNotes]( https://gitlab.com/xuyq123/mynotes )                  | 编程笔记   |
| 2     | github  | [vuepress-blog]( https://github.com/scott180/vuepress-blog )  	 | 博客网站   |
| 3     | gitcode | [document]( https://gitcode.net/xu180/document )  				 | 生活随笔   |
| 4     | bitbucket | [imgs]( https://bitbucket.org/xu12345/document/src/master/imgs/ )  		  | 图床仓库   |


